package com.ruoyi.project.training.service.impl;

import com.ruoyi.project.training.domain.TByxWorklicense;
import com.ruoyi.project.training.mapper.TByxWorklicenseMapper;
import com.ruoyi.project.training.service.ITByxWorklicenseService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

/**
 * 上岗证一览Service业务层处理
 *
 * @author ruoyi
 * @date 2020-12-02
 */
@Service
public class TByxWorklicenseServiceImpl implements ITByxWorklicenseService
{
    @Resource
    private TByxWorklicenseMapper tByxWorklicenseMapper;

    /**
     * 查询上岗证一览
     *
     * @param id 上岗证一览ID
     * @return 上岗证一览
     */
    @Override
    public TByxWorklicense selectTByxWorklicenseById(Long id)
    {
        return tByxWorklicenseMapper.selectTByxWorklicenseById(id);
    }

    /**
     * 查询上岗证一览
     *
     * @param employeeid 人员员工号
     * @return 上岗证一览
     */
    public TByxWorklicense selectTByxWorklicenseByEmployeeid(String employeeid)
    {
        return tByxWorklicenseMapper.selectTByxWorklicenseByEmployeeid(employeeid);
    }

    /**
     * 查询上岗证一览列表
     *
     * @param tByxWorklicense 上岗证一览
     * @return 上岗证一览
     */
    @Override
    public List<TByxWorklicense> selectTByxWorklicenseList(TByxWorklicense tByxWorklicense)
    {
        return tByxWorklicenseMapper.selectTByxWorklicenseList(tByxWorklicense);
    }

    /**
     * 定时任务查询上岗证一览列表
     *
     * @param tByxWorklicense 上岗证一览
     * @return 上岗证一览集合
     */
    @Override
    public List<TByxWorklicense> selectList(TByxWorklicense tByxWorklicense) {
        return tByxWorklicenseMapper.selectList(tByxWorklicense);
    }

    /**
     * 新增上岗证一览
     *
     * @param tByxWorklicense 上岗证一览
     * @return 结果
     */
    @Override
    public int insertTByxWorklicense(TByxWorklicense tByxWorklicense)
    {
        return tByxWorklicenseMapper.insertTByxWorklicense(tByxWorklicense);
    }

    /**
     * 修改上岗证一览
     *
     * @param tByxWorklicense 上岗证一览
     * @return 结果
     */
    @Override
    public int updateTByxWorklicense(TByxWorklicense tByxWorklicense)
    {
        return tByxWorklicenseMapper.updateTByxWorklicense(tByxWorklicense);
    }

    /**
     * 批量删除上岗证一览
     *
     * @param ids 需要删除的上岗证一览ID
     * @return 结果
     */
    @Override
    public int deleteTByxWorklicenseByIds(Long[] ids)
    {
        return tByxWorklicenseMapper.deleteTByxWorklicenseByIds(ids);
    }

    /**
     * 删除上岗证一览信息
     *
     * @param id 上岗证一览ID
     * @return 结果
     */
    @Override
    public int deleteTByxWorklicenseById(Long id)
    {
        return tByxWorklicenseMapper.deleteTByxWorklicenseById(id);
    }
}
